# KeyControl (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.command
Class KeyControl

    java.lang.Object
      org.newdawn.slick.command.KeyControl

All Implemented Interfaces:
  Control

    public class KeyControl

extends java.lang.Object
implements Control

A control relating to a command indicate that it should be fired when a specific key is pressed or released.

Author:
  joverton

Constructor Summary
`KeyControl(int keycode)` Create a new control that caused an command to be fired on a key pressed/released

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyControl

    public KeyControl(int keycode)

  Create a new control that caused an command to be fired on a key pressed/released

  Parameters:
    `keycode` - The code of the key that causes the command

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

Copyright © 2006 New Dawn Software. All Rights Reserved.